Docs Menu

Docs HomeMongoDB Atlas Kubernetes Operator

Configure Atlas Kubernetes Operator for Atlas for Government

You can use the Atlas Kubernetes Operator to manage resources in Atlas for Government. The Atlas Kubernetes Operator only supports managing Atlas for Government on AWS. It doesn't support Atlas Data Federation and Serverless deployments. For more information, see Supported Features in the MongoDB Atlas for Government documentation.

This page describes how to configure the Atlas Kubernetes Operator to manage resources in Atlas for Government.

You must install the Atlas Kubernetes Operator. If you install the Atlas Kubernetes Operator using Atlas CLI with the --gov flag, you can skip steps 1 - 3 in the following procedure. If you don't specify --gov flag for installing the Atlas Kubernetes Operator, complete all the steps in the following procedure.

To learn more about installing the Atlas Kubernetes Operator using the Atlas CLI, see Quick Start.

After you install the Atlas Kubernetes Operator, do the following:

1

For example, to edit using kubectl:

kubectl edit deployments.apps -n default <your-mongodb-atlas-operator>
2
apiVersion: apps/v1
kind: Deployment
metadata:
...
spec:
progressDeadlineSeconds: 600
replicas: 1
revisionHistoryLimit: 10
selector:
...
strategy:
...
template:
metadata:
...
spec:
containers:
- args:
- --atlas-domain=https://cloud.mongodb.com/
- --leader-elect
- --health-probe-bind-address=:8081
- --metrics-bind-address=127.0.0.1:8080
- --log-level=info
- --log-encoder=json
command:
- /manager
env:
- name: OPERATOR_POD_NAME
...
3

To configure the domain, replace the value of --atlas-domain with the following URL:

https://cloud.mongodbgov.com/
4

Follow the procedure in the Quick Start to deploy Atlas Kubernetes Operator.

5

Use the spec.regionUsageRestrictions parameter in the AtlasProject custom resource to set the AWS region for Atlas for Government. If you omit the spec.regionUsageRestrictions parameter, Atlas Kubernetes Operator restricts the project to AWS FedRamp Moderate standard regions by default. To learn more, see spec.regionUsageRestrictions.

←  Helm Charts Quick StartCompatibility →